
// Identifier tags for tokens
// Creator for attribute: CMEI, endpoint: 1
#if 0
#define CREATOR_REJOIN_MODE 			0x0001
#define CREATOR_FACTORY_TEST_FLG 		0x0002
#define CREATOR_SINGLE_BOARD_TEST_FLG 	0x0003
#define CREATOR_FULL_DEVICE_TEST_FLG 	0x0004
#else
#define CREATOR_GATEWAY_EUI64_VALUE 		0xC000
#define NVM3KEY_GATEWAY_EUI64_VALUE 		( NVM3KEY_DOMAIN_USER | 0xC000 )
#define CREATOR_REJOIN_MODE 				0xC001
#define NVM3KEY_REJOIN_MODE 				( NVM3KEY_DOMAIN_USER | 0xC001 )
#define CREATOR_FACTORY_TEST_FLG 			0xC002
#define NVM3KEY_FACTORY_TEST_FLG 			( NVM3KEY_DOMAIN_USER | 0xC002 )
#define CREATOR_AGING_TEST_FLG 		0xC003
#define NVM3KEY_AGING_TEST_FLG 		( NVM3KEY_DOMAIN_USER | 0xC003 )

#define CREATOR_INDICATOR_NOT_DISTURB_MODE_FLG 	0xC005
#define NVM3KEY_INDICATOR_NOT_DISTURB_MODE_FLG 	( NVM3KEY_DOMAIN_USER | 0xC005 )

#define CREATOR_NODE_ID						(0xC006)
#define NVM3KEY_NODE_ID	 					( NVM3KEY_DOMAIN_USER | 0xC006 )

#define CREATOR_IS_KONKE_GATEWAY			(0xC007)
#define NVM3KEY_IS_KONKE_GATEWAY 			( NVM3KEY_DOMAIN_USER | 0xC007 )

#define CREATOR_OTA_RELAY_STATUS			(0xC008)
#define NVM3KEY_OTA_RELAY_STATUS	 		( NVM3KEY_DOMAIN_USER | 0xC008 )

#define CREATOR_BIND_CONFIG_INFO			(0xC009)
#define NVM3KEY_BIND_CONFIG_INFO	 		( NVM3KEY_DOMAIN_USER | 0xC009 )

#define CREATOR_JOIN_FAILED_FLAG			(0xC00A)
#define NVM3KEY_JOIN_FAILED_FLAG	 		( NVM3KEY_DOMAIN_USER | 0xC00A )
//#define CREATOR_OPTTUNNEL_CMEI_FLG 		0xC007
//#define NVM3KEY_OPTTUNNEL_CMEI_FLG 		( NVM3KEY_DOMAIN_USER | 0xC007 )
//#define CREATOR_OPTTUNNEL_ISN_FLG 		0xC008
//#define NVM3KEY_OPTTUNNEL_ISN_FLG 		( NVM3KEY_DOMAIN_USER | 0xC008 )
//#define CREATOR_OPTTUNNEL_CHUNK_N1_FLG 	0xC009
//#define NVM3KEY_OPTTUNNEL_CHUNK_N1_FLG 	( NVM3KEY_DOMAIN_USER | 0xC009 )
//#define CREATOR_OPTTUNNEL_CHUNKN2_FLG 	0xC013
//#define NVM3KEY_OPTTUNNEL_CHUNKN2_FLG 	( NVM3KEY_DOMAIN_USER | 0xC013 )

#endif



#ifdef DEFINETYPES
typedef struct {
	boolean  mode;    		//0 ƿģʽ   1龰ģʽ
	uint8_t  Relay_ID; 		//1-4
	uint8_t  Scense_ID;		//0-0xEF
	boolean  IsHengDa_Gateway; //
}EP_DESP;
//typedef uint8_t tokTypeChunk[33];
typedef uint8_t tokTypeChunk[33];
typedef EP_DESP tokTypeEpDesp[2];
#endif //DEFINETYPES

// Actual token definitions
#ifdef DEFINETOKENS
DEFINE_BASIC_TOKEN(GATEWAY_EUI64_VALUE, EmberEUI64, {0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF})
DEFINE_BASIC_TOKEN(REJOIN_MODE, uint8_t, 0)
DEFINE_BASIC_TOKEN(AGING_TEST_FLG , uint8_t, 0)
DEFINE_BASIC_TOKEN(FACTORY_TEST_FLG, uint8_t, 0)
DEFINE_BASIC_TOKEN(INDICATOR_NOT_DISTURB_MODE_FLG, uint8_t, 0)

DEFINE_BASIC_TOKEN(NODE_ID, uint16_t, 0xFFFF)

DEFINE_BASIC_TOKEN(IS_KONKE_GATEWAY, uint8_t, 0)

DEFINE_BASIC_TOKEN(OTA_RELAY_STATUS, uint8_t, 0)
DEFINE_BASIC_TOKEN(BIND_CONFIG_INFO, tokTypeEpDesp, {{false,1,0xF1,false},{false,2,0xF2,false}})
DEFINE_BASIC_TOKEN(JOIN_FAILED_FLAG, uint8_t, 0)
//DEFINE_BASIC_TOKEN(OPTTUNNEL_CMEI_FLG, tokTypeChunk, {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00})
//DEFINE_BASIC_TOKEN(OPTTUNNEL_CMEI_FLG, tokTypeChunk, { 0, })
//DEFINE_BASIC_TOKEN(OPTTUNNEL_ISN_FLG, tokTypeChunk, { 0, })
//DEFINE_BASIC_TOKEN(OPTTUNNEL_CHUNK_N1_FLG, tokTypeChunk, { 0, })
//DEFINE_BASIC_TOKEN(OPTTUNNEL_CHUNKN2_FLG, tokTypeChunk, { 0, })
//#undef DEFINETOKENS
#endif



